<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>SiSC Contacts - {{ dep_name }}</title>
	<link rel="icon" href="../static/images/sisc.png">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="../static/css/jquery.dataTables.min.css">
        <link rel="stylesheet" href="../static/css/responsive.dataTables.min.css">
        <link rel="stylesheet" href="../static/css/bootstrap.min.css">
        <link rel="stylesheet" href="../static/css/search.css">
        <link rel="stylesheet" href="../static/css/design.css">
        <link rel="stylesheet" href="../static/css/navbar.css">
        <link rel="stylesheet" href="../static/css/toastr.min.css">
    </head>
    <body style="background-image:url('../static/images/25.png')">
<!-- Navbar Starts -->
        <div id="mySidenav" class="sidenav">
            <a href="{% url 'api:main' %}">
                <img class="logo" src="../static/images/sisc.png" />
            </a>
            <a class="active" href="{% url 'api:main' %}"><b>Departamente</b></a>
            <a href="{% url 'api:search' %}"><b>Search</b></a>
            {% if cUser %}
            <a href="{% url 'api:contact' cUser %}"><b>Profil</b></a>
            {% endif %}
            {% if request.user.is_staff %}
            <a href="{% url 'api:list' %}"><b>Management</b></a>
            <a target="_blank" href="{% url 'admin:index' %}"><b>Admin</b></a>
            {% endif %}
            <a href="{% url 'api:logout' %}"><b>Logout</b></a>
        </div>
        <div id="main">
            <div class="container-fluid">
                <div id="navbar" class="navbar-colored row">
                    <div class="col-12 col-sm-12">
                        <p id="nav-icon1" style="padding-bottom:23px" class="mt-3" onclick="openNav()"><span></span><span></span><span></span></p>
                        <span id="title" class="title" style="float:right;">{{ dep_name }}</span>
                    </div>
                </div>
                <div id="search-icon-container" class="row">
                    <div class="col-12 mt-5">
                        <img id="search-icon" src="../static/images/loading.gif">
                    </div>
                </div>
                <div class="row content-3">
                    <div id="search-table-container" class="card table-container">
                        <table id="search-table" class="display responsive">
                            <thead>
                                <tr>
                                    <th>Nume</th>
                                    <th>Telefon</th>
                                    <th>Detalii</th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for contact in contacts %}
                                <tr>
                                    <td>
                                        {{ contact.first_name }} {{ contact.last_name }}
                                    </td>
                                    <td id="{{ contact.phone }}" class="clickable" onclick="copyToClipboardSearch('{{ contact.phone }}')">
                                        {{ contact.phone }}
                                    </td>
                                    <td>
                                        <a href="{% url 'api:contact' contact.pk %}">Profil</a>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    <!--Navbar and it's moveable content end -->
        <script src="../static/js/jquery-3.3.1.min.js"></script>
        <script src="../static/js/jquery.dataTables.min.js"></script>
        <script src="../static/js/navbar.js"></script>
        <script src="../static/js/structure.js"></script>
            <script src="../static/js/toastr.min.js"></script>
    </body>
</html>

<script>
$(document).ready(function() {
    $('#search-table').DataTable({
        "initComplete": function(){
            document.getElementById("search-icon-container").style.display = "none";
            document.getElementById("search-table-container").style.display = "block";
        },
        "pagingType": "simple"
    });

});

</script>
